#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EAppHDRSupport {
    Unknown = 0,
    SDR = 1,
    HDR = 2,
    Broken = 3,
    RequiresUserAction = 4,
}

impl EAppHDRSupport {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::SDR as i32 => Some(Self::SDR),
            x if x == Self::HDR as i32 => Some(Self::HDR),
            x if x == Self::Broken as i32 => Some(Self::Broken),
            x if x == Self::RequiresUserAction as i32 => Some(Self::RequiresUserAction),
            _ => None,
        }
    }
}
